Subject: Re: [PATCH net-next] selftests: net: Add missing matchall classifier

From: Jakub Kicinski <[email-masked]>
Date: Tue, 30 Jan 2024 17:59:38 -0800

On Mon, 29 Jan 2024 14:37:03 +0200 Ido Schimmel wrote:
> One of the test cases in the test_bridge_backup_port.sh selftest relies
> on a matchall classifier to drop unrelated traffic so that the Tx drop
> counter on the VXLAN device will only be incremented as a result of
> traffic generated by the test.
> 
> However, the configuration option for the matchall classifier is
> missing from the configuration file which might explain the failures we
> see in the netdev CI [1].
> 
> Fix by adding CONFIG_NET_CLS_MATCHALL to the configuration file.

Moved to the larger group of NET_CLS knobs, and applied to net,
thank you!